Bug 15090 - Fix date filter for Suggestions management
Summary: Fix date filter for Suggestions management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P1 - high major (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-30 14:21 UTC by Marc Véron
Modified: 2016-06-21 21:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15090: Fix date filter for Suggestions management (2.02 KB, patch)
2015-10-30 14:31 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15090: Fix date filter for Suggestions management (2.08 KB, patch)
2015-10-30 19:50 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 15090: Fix date filter for Suggestions management (2.15 KB, patch)
2015-11-01 15:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-10-30 14:21:05 UTC
Bug 13813 introduced an error with datefilters in 
Home > Acquisitions > Suggestions management

See http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=13813#c172

Before 1383 the "from" date was 0000-00-00 if not filled, now it's today.

This patch re-introduces 0000-00-00.
Comment 1 Marc Véron 2015-10-30 14:22:26 UTC
Ccing Jonathan
Comment 2 Marc Véron 2015-10-30 14:31:47 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2015-10-30 19:50:47 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-11-01 15:31:58 UTC
Created attachment 44279 [details] [review]
[PASSED QA] Bug 15090: Fix date filter for Suggestions management

Home > Acquisitions > Suggestions management:
Before 13813 the "from" date in filters was 0000-00-00 if not
filled, afer 13813 it's today.

This patch re-introduces 0000-00-00.

See http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=13813#c172

To test:
- Go to Home > Acquisitions > Suggestions management
- Verify that date filters work as expected
- Verify that start dates in sql query are 0000-00-00 if no start
  dates are given
- Note: Line 185 outputs the start dates as warn if $debug is set.

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-11-02 14:38:32 UTC
Patch pushed to master.

Thanks Marc!